Create a hole-filling course (Lambda)
curl --request POST \
--url https://api.alpha-1edtech.ai/edubridge/progression/hole-filling-course \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"studentSourcedId": "<string>",
"studentEmail": "<string>",
"subject": "<string>",
"grade": "<string>",
"lessons": [
{
"lessonId": "<string>",
"title": "<string>",
"app": "<string>",
"launchUrl": "<string>",
"metadata": {}
}
],
"gapAnalysisId": "<string>",
"assignmentId": 123,
"baseCourseSourcedId": "<string>",
"missedQuestions": [
"<string>"
]
}
'import requests
url = "https://api.alpha-1edtech.ai/edubridge/progression/hole-filling-course"
payload = {
"studentSourcedId": "<string>",
"studentEmail": "<string>",
"subject": "<string>",
"grade": "<string>",
"lessons": [
{
"lessonId": "<string>",
"title": "<string>",
"app": "<string>",
"launchUrl": "<string>",
"metadata": {}
}
],
"gapAnalysisId": "<string>",
"assignmentId": 123,
"baseCourseSourcedId": "<string>",
"missedQuestions": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
studentSourcedId: '<string>',
studentEmail: '<string>',
subject: '<string>',
grade: '<string>',
lessons: [
{
lessonId: '<string>',
title: '<string>',
app: '<string>',
launchUrl: '<string>',
metadata: {}
}
],
gapAnalysisId: '<string>',
assignmentId: 123,
baseCourseSourcedId: '<string>',
missedQuestions: ['<string>']
})
};
fetch('https://api.alpha-1edtech.ai/edubridge/progression/hole-filling-course', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"courseSourcedId": "<string>",
"classSourcedId": "<string>",
"enrollmentSourcedId": "<string>"
}{
"error": "<string>",
"details": "<unknown>"
}Progression
Create a hole-filling course (Lambda)
Creates a hole-filling course in OneRoster with component resources (lessons). Served by the hole-filling-course Lambda.
POST
/
edubridge
/
progression
/
hole-filling-course
Create a hole-filling course (Lambda)
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
The student's OneRoster sourced ID
The student's email address
Academic subject
Grade level
Lessons to include in the hole-filling course
Show child attributes
Show child attributes
Gap analysis record ID
The assignment ID from AlphaTest
Base course sourced ID for hole-filling lineage
Type of test that triggered hole-filling
Available options:
end of course, test out, placement List of missed question IDs
⌘I